# opkbuild
# lib/load.sh
# Functions for loading library modules.
#
# Copyright (C) 2012 Patrick "P. J." McDermott
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

[ x"${_OB_LOAD_SM+set}" = x'set' ] && return 0
_OB_LOAD_SM=1

# The "common" module is used by this and all other modules.
# We have to manually load the "common" module so we can use it in ob_use.
. '@@PKGLIBDIR@@/common.sm'

ob_use()
{
	local module

	if [ ${#} -eq 1 ]; then
		module="${1}"
	else
		return 125
	fi

	module='@@PKGLIBDIR@@'"/${module}.sm"
	if [ -r "${module}" ]; then
		. "${module}"
	else
		return 1
	fi

	return 0
}
